%define upstream_name    HTML-Packer
%define upstream_version 2.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Another HTML code cleaner
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CSS::Packer) >= 2.10.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(JavaScript::Packer) >= 2.10.0
BuildRequires: perl(Regexp::RegGrp) >= 1.1_1
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
A HTML Compressor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml TODO
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat May 28 2016 shlomif <shlomif> 2.30.0-1.mga6
+ Revision: 1019236
- New version 2.03

* Wed Feb 10 2016 shlomif <shlomif> 2.20.0-1.mga6
+ Revision: 953174
- update to 2.02

* Fri Jan 15 2016 shlomif <shlomif> 2.10.0-1.mga6
+ Revision: 923279
- update to 2.01

* Thu Jun 25 2015 shlomif <shlomif> 2.0.0-1.mga6
+ Revision: 843202
- update to 2.00

* Wed Oct 15 2014 umeabot <umeabot> 1.4.1-5.mga5
+ Revision: 747157
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-4.mga5
+ Revision: 684950
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 368035
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 1.4.1-1.mga3
+ Revision: 261471
- imported package perl-HTML-Packer

